# 20. Mutacija: ištrinti „Ūkį“

Ištrinti pasirinktą „Ūkį“ ir visus su juo susijusius duomenis.

{% hint style="info" %}
Jei „Ūkį“ bendrino kitas vartotojas, operacija ištrins tik nuorodą. Visas originalus „Ūkio“ duomenis liks saugūs.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija DeleteFarm {
  deleteFarm(input: {
    uuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    pavadinimas
    farmOwnership
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/20.-mutacija-istrinti-uki.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
